# Class AdsContentUpdateEvent

#### Hierarchy

- AdsEvent
  - AdsContentUpdateEvent

#####
Index

### Constructors

constructor

### Properties

previousSource
type

## Constructors

### constructor

- new AdsContentUpdateEvent(previousSource): AdsContentUpdateEvent

- #### Parameters

  - previousSource: string

  #### Returns AdsContentUpdateEvent

  Overrides AdsEvent.constructor

## Properties

### `Readonly` previousSource

previousSource: string

### `Readonly` type

type: "contentUpdate" = Events.Ads.ContentUpdate

Overrides AdsEvent.type